$Revision$
$Date$

# Structure sip_uri

This structure represents parsed SIP URI.

    struct sip_uri {
        str user;     /* Username */
        str passwd;   /* Password */
        str host;     /* Host name */
        str port;     /* Port number */
        str params;   /* Parameters */
        str headers;
    };

Field Description:

- user - Username if found in the URI.

- passwd - Password if found in the URI.

- host - Hostname of the URI.

- params - Parameters of the URI if any.

- headers - See the SIP RFC.